Package oracle.jdbc.babelfish

## Class BabelfishPreparedStatement

- java.lang.Object
- - oracle.jdbc.babelfish.BabelfishGenericProxy
  - - oracle.jdbc.babelfish.BabelfishStatement
    - - oracle.jdbc.babelfish.BabelfishPreparedStatement

Direct Known Subclasses:
  `BabelfishCallableStatement`

    public abstract class BabelfishPreparedStatement
    extends BabelfishStatement

Proxy Superclass for java.sql.PreparedStatement interface. It is used by the Oracle JDBC proxy library to proxify java.sql.PreparedStatement objects to support the auto translation features.

### Constructor Summary

Constructors
`BabelfishPreparedStatement()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.Object` `getCreator()`
`protected abstract java.lang.Object` `getDelegate()`
`protected java.lang.Object` `post_Methods​(java.lang.reflect.Method m, java.lang.Object result)` Post Methods interceptor.
`protected abstract java.lang.Object` `proxify​(java.lang.Object d, java.lang.Object creator)`
`void` `setArray​(int parameterIndex, java.sql.Array x)` Translation compliant implementation of java.sql.PreparedStatement#setArray(int, java.sql.Array)
`void` `setAsciiStream​(int parameterIndex, java.io.InputStream x)` Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream)
`void` `setAsciiStream​(int parameterIndex, java.io.InputStream x, int length)` Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, int)
`void` `setAsciiStream​(int parameterIndex, java.io.InputStream x, long length)` Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, long)
`void` `setBigDecimal​(int parameterIndex, java.math.BigDecimal x)` Translation compliant implementation of java.sql.PreparedStatement#setBigDecimal(int, java.math.BigDecimal)
`void` `setBinaryStream​(int parameterIndex, java.io.InputStream x)` Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream)
`void` `setBinaryStream​(int parameterIndex, java.io.InputStream x, int length)` Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, int)
`void` `setBinaryStream​(int parameterIndex, java.io.InputStream x, long length)` Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, long)
`void` `setBlob​(int parameterIndex, java.io.InputStream x)` Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream)
`void` `setBlob​(int parameterIndex, java.io.InputStream x, long length)` Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream, long)
`void` `setBlob​(int parameterIndex, java.sql.Blob x)` Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.sql.Blob)
`void` `setBoolean​(int parameterIndex, boolean x)` Translation compliant implementation of java.sql.PreparedStatement#setBoolean(int, boolean)
`void` `setByte​(int parameterIndex, byte x)` Translation compliant implementation of java.sql.PreparedStatement#setByte(int, byte)
`void` `setBytes​(int parameterIndex, byte[] x)` Translation compliant implementation of java.sql.PreparedStatement#setBytes(int, byte[])
`void` `setCharacterStream​(int parameterIndex, java.io.Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader)
`void` `setCharacterStream​(int parameterIndex, java.io.Reader reader, int length)` Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, int)
`void` `setCharacterStream​(int parameterIndex, java.io.Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, long)
`void` `setClob​(int parameterIndex, java.io.Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader)
`void` `setClob​(int parameterIndex, java.io.Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader, long)
`void` `setClob​(int parameterIndex, java.sql.Clob x)` Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.sql.Clob)
`void` `setDate​(int parameterIndex, java.sql.Date x)` Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date)
`void` `setDate​(int parameterIndex, java.sql.Date x, java.util.Calendar cal)` Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date, java.util.Calendar)
`void` `setDouble​(int parameterIndex, double x)` Translation compliant implementation of java.sql.PreparedStatement#setDouble(int, double)
`void` `setFloat​(int parameterIndex, float x)` Translation compliant implementation of java.sql.PreparedStatement#setFloat(int, float)
`void` `setInt​(int parameterIndex, int x)` Translation compliant implementation of java.sql.PreparedStatement#setInt(int, int)
`void` `setLong​(int parameterIndex, long x)` Translation compliant implementation of java.sql.PreparedStatement#setLong(int, long)
`void` `setNCharacterStream​(int parameterIndex, java.io.Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader)
`void` `setNCharacterStream​(int parameterIndex, java.io.Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader, long)
`void` `setNClob​(int parameterIndex, java.io.Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader)
`void` `setNClob​(int parameterIndex, java.io.Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader, long)
`void` `setNClob​(int parameterIndex, java.sql.NClob x)` Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.sql.NClob)
`void` `setNString​(int parameterIndex, java.lang.String x)` Translation compliant implementation of java.sql.PreparedStatement#setNString(int, java.lang.String)
`void` `setNull​(int parameterIndex, int sqltype)` Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int)
`void` `setNull​(int parameterIndex, int sqltype, java.lang.String typeName)` Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int, java.lang.String)
`void` `setObject​(int parameterIndex, java.lang.Object x)` Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object)
`void` `setObject​(int parameterIndex, java.lang.Object x, int targetSqlType)` Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int)
`void` `setObject​(int parameterIndex, java.lang.Object x, int targetSqlType, int scaleOrLength)` Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int, int)
`void` `setRef​(int parameterIndex, java.sql.Ref x)` Translation compliant implementation of java.sql.PreparedStatement#setRef(int, java.sql.Ref)
`void` `setRowId​(int parameterIndex, java.sql.RowId x)` Translation compliant implementation of java.sql.PreparedStatement#setRowId(int, java.sql.RowId)
`void` `setShort​(int parameterIndex, short x)` Translation compliant implementation of java.sql.PreparedStatement#setShort(int, short)
`void` `setSQLXML​(int parameterIndex, java.sql.SQLXML x)` Translation compliant implementation of java.sql.PreparedStatement#setSQLXML(int, java.sql.SQLXML)
`void` `setString​(int parameterIndex, java.lang.String x)` Translation compliant implementation of java.sql.PreparedStatement#setString(int, java.lang.String)
`void` `setTime​(int parameterIndex, java.sql.Time x)` Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time)
`void` `setTime​(int parameterIndex, java.sql.Time x, java.util.Calendar cal)` Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time, java.util.Calendar)
`void` `setTimestamp​(int parameterIndex, java.sql.Timestamp x)` Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp)
`void` `setTimestamp​(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)` Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp, java.util.Calendar)
`void` `setUnicodeStream​(int parameterIndex, java.io.InputStream x, int length)` Translation compliant implementation of java.sql.PreparedStatement#setUnicodeStream(int, java.io.InputStream, int)
`void` `setURL​(int parameterIndex, java.net.URL x)` Translation compliant implementation of java.sql.PreparedStatement#setURL(int, java.net.URL)
`protected java.lang.Object` `translateError​(java.lang.reflect.Method m, java.sql.SQLException ex)` Error interceptor.

### Methods inherited from class oracle.jdbc.babelfish.BabelfishStatement

`addBatch, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BabelfishPreparedStatement

    public BabelfishPreparedStatement()

### Method Detail

#### getCreator

    protected abstract java.lang.Object getCreator()

Specified by:
  `getCreator` in class `BabelfishStatement`
Returns:

#### getDelegate

    protected abstract java.lang.Object getDelegate()

Specified by:
  `getDelegate` in class `BabelfishStatement`
Returns:

#### proxify

    protected abstract java.lang.Object proxify​(java.lang.Object d,
                                                java.lang.Object creator)

Specified by:
  `proxify` in class `BabelfishStatement`

#### translateError

    protected java.lang.Object translateError​(java.lang.reflect.Method m,
                                              java.sql.SQLException ex)
                                       throws java.sql.SQLException

Error interceptor. Handles error translation in case of exception

Overrides:
  `translateError` in class `BabelfishStatement`
Parameters:
  `m` -
  `ex` -
Returns:
Throws:
  `java.sql.SQLException`

#### post_Methods

    protected java.lang.Object post_Methods​(java.lang.reflect.Method m,
                                            java.lang.Object result)

Post Methods interceptor. Sets the translator in the returning object if the returning object is a child of BabelfishGenericProxy

Overrides:
  `post_Methods` in class `BabelfishStatement`
Parameters:
  `m` -
  `result` -
Returns:

#### setArray

    public void setArray​(int parameterIndex,
                         java.sql.Array x)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setArray(int, java.sql.Array)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setArray(int, java.sql.Array)`

#### setAsciiStream

    public void setAsciiStream​(int parameterIndex,
                               java.io.InputStream x)
                        throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setAsciiStream(int, java.io.InputStream)`

#### setAsciiStream

    public void setAsciiStream​(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setAsciiStream(int, java.io.InputStream, int)`

#### setAsciiStream

    public void setAsciiStream​(int parameterIndex,
                               java.io.InputStream x,
                               long length)
                        throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setAsciiStream(int, java.io.InputStream, long)`

#### setBigDecimal

    public void setBigDecimal​(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBigDecimal(int, java.math.BigDecimal)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBigDecimal(int, java.math.BigDecimal)`

#### setBinaryStream

    public void setBinaryStream​(int parameterIndex,
                                java.io.InputStream x)
                         throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBinaryStream(int, java.io.InputStream)`

#### setBinaryStream

    public void setBinaryStream​(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBinaryStream(int, java.io.InputStream, int)`

#### setBinaryStream

    public void setBinaryStream​(int parameterIndex,
                                java.io.InputStream x,
                                long length)
                         throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBinaryStream(int, java.io.InputStream, long)`

#### setBlob

    public void setBlob​(int parameterIndex,
                        java.sql.Blob x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.sql.Blob)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBlob(int, java.sql.Blob)`

#### setBlob

    public void setBlob​(int parameterIndex,
                        java.io.InputStream x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBlob(int, java.io.InputStream)`

#### setBlob

    public void setBlob​(int parameterIndex,
                        java.io.InputStream x,
                        long length)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBlob(int, java.io.InputStream, long)`

#### setBoolean

    public void setBoolean​(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBoolean(int, boolean)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBoolean(int, boolean)`

#### setByte

    public void setByte​(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setByte(int, byte)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setByte(int, byte)`

#### setBytes

    public void setBytes​(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBytes(int, byte[])

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setBytes(int, byte[])`

#### setCharacterStream

    public void setCharacterStream​(int parameterIndex,
                                   java.io.Reader reader)
                            throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setCharacterStream(int, java.io.Reader)`

#### setCharacterStream

    public void setCharacterStream​(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setCharacterStream(int, java.io.Reader, int)`

#### setCharacterStream

    public void setCharacterStream​(int parameterIndex,
                                   java.io.Reader reader,
                                   long length)
                            throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setCharacterStream(int, java.io.Reader, long)`

#### setClob

    public void setClob​(int parameterIndex,
                        java.sql.Clob x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.sql.Clob)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setClob(int, java.sql.Clob)`

#### setClob

    public void setClob​(int parameterIndex,
                        java.io.Reader reader)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setClob(int, java.io.Reader)`

#### setClob

    public void setClob​(int parameterIndex,
                        java.io.Reader reader,
                        long length)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setClob(int, java.io.Reader, long)`

#### setDate

    public void setDate​(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setDate(int, java.sql.Date)`

#### setDate

    public void setDate​(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date, java.util.Calendar)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setDate(int, java.sql.Date, java.util.Calendar)`

#### setDouble

    public void setDouble​(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setDouble(int, double)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setDouble(int, double)`

#### setFloat

    public void setFloat​(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setFloat(int, float)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setFloat(int, float)`

#### setInt

    public void setInt​(int parameterIndex,
                       int x)
                throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setInt(int, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setInt(int, int)`

#### setLong

    public void setLong​(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setLong(int, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setLong(int, long)`

#### setNCharacterStream

    public void setNCharacterStream​(int parameterIndex,
                                    java.io.Reader reader)
                             throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNCharacterStream(int, java.io.Reader)`

#### setNCharacterStream

    public void setNCharacterStream​(int parameterIndex,
                                    java.io.Reader reader,
                                    long length)
                             throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNCharacterStream(int, java.io.Reader, long)`

#### setNClob

    public void setNClob​(int parameterIndex,
                         java.sql.NClob x)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.sql.NClob)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNClob(int, java.sql.NClob)`

#### setNClob

    public void setNClob​(int parameterIndex,
                         java.io.Reader reader)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNClob(int, java.io.Reader)`

#### setNClob

    public void setNClob​(int parameterIndex,
                         java.io.Reader reader,
                         long length)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader, long)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNClob(int, java.io.Reader, long)`

#### setNString

    public void setNString​(int parameterIndex,
                           java.lang.String x)
                    throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNString(int, java.lang.String)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNString(int, java.lang.String)`

#### setNull

    public void setNull​(int parameterIndex,
                        int sqltype)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNull(int, int)`

#### setNull

    public void setNull​(int parameterIndex,
                        int sqltype,
                        java.lang.String typeName)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int, java.lang.String)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setNull(int, int, java.lang.String)`

#### setObject

    public void setObject​(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setObject(int, java.lang.Object)`

#### setObject

    public void setObject​(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setObject(int, java.lang.Object, int)`

#### setObject

    public void setObject​(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scaleOrLength)
                   throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setObject(int, java.lang.Object, int, int)`

#### setRef

    public void setRef​(int parameterIndex,
                       java.sql.Ref x)
                throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setRef(int, java.sql.Ref)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setRef(int, java.sql.Ref)`

#### setRowId

    public void setRowId​(int parameterIndex,
                         java.sql.RowId x)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setRowId(int, java.sql.RowId)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setRowId(int, java.sql.RowId)`

#### setShort

    public void setShort​(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setShort(int, short)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setShort(int, short)`

#### setSQLXML

    public void setSQLXML​(int parameterIndex,
                          java.sql.SQLXML x)
                   throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setSQLXML(int, java.sql.SQLXML)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setSQLXML(int, java.sql.SQLXML)`

#### setString

    public void setString​(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setString(int, java.lang.String)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setString(int, java.lang.String)`

#### setTime

    public void setTime​(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setTime(int, java.sql.Time)`

#### setTime

    public void setTime​(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time, java.util.Calendar)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setTime(int, java.sql.Time, java.util.Calendar)`

#### setTimestamp

    public void setTimestamp​(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setTimestamp(int, java.sql.Timestamp)`

#### setTimestamp

    public void setTimestamp​(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp, java.util.Calendar)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setTimestamp(int, java.sql.Timestamp, java.util.Calendar)`

#### setUnicodeStream

    public void setUnicodeStream​(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setUnicodeStream(int, java.io.InputStream, int)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setUnicodeStream(int, java.io.InputStream, int)`

#### setURL

    public void setURL​(int parameterIndex,
                       java.net.URL x)
                throws java.sql.SQLException

Translation compliant implementation of java.sql.PreparedStatement#setURL(int, java.net.URL)

Throws:
  `java.sql.SQLException`
See Also:
  `PreparedStatement.setURL(int, java.net.URL)`